Name:           celestia
Version:        1.3.2
Release:        2
Summary:        An OpenGL real-time visual space simulation

Group:          Amusements/Graphics
License:        GPL
Source0:        http://dl.sf.net/celestia/celestia-1.3.2.tar.gz
Source3:        celestia.desktop
Patch0:         %{name}-1.3.2-compile.patch
URL:            http://www.shatters.net/celestia/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkglext-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  freeglut-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  desktop-file-utils
BuildRequires:  xorg-x11-Mesa-libGL
Requires(post): GConf2
Requires(preun): GConf2


%description 
Celestia is a real-time space simulation which lets you experience the
universe in three dimensions. Celestia does not confine you to the
surface of the Earth, it allows you to travel throughout the solar
system, to any of over 100,000 stars, or even beyond the galaxy. 

Travel in Celestia is seamless; the exponential zoom feature lets
you explore space across a huge range of scales, from galaxy clusters
down to spacecraft only a few meters across. A 'point-and-goto'
interface makes it simple to navigate through the universe to the
object you want to visit.


%prep
%setup -q
%patch0 -p6 -b .orig


%build
%configure --with-gnome
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

install -p -m 644 -D src/celestia/kde/data/hi48-app-celestia.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/celestia.png
rm $RPM_BUILD_ROOT%{_datadir}/celestia/{controls.txt,COPYING}
rm -r $RPM_BUILD_ROOT%{_datadir}/celestia/manual

desktop-file-install \
  --vendor fedora                                          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  --add-category Application                               \
  --add-category Graphics                                  \
  %{SOURCE3}


%clean
rm -rf $RPM_BUILD_ROOT


%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%preun
if [ "$1" = "0" ] ; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO controls.txt manual/*.html manual/*.css
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 1.3.2-2
- Bump release to provide Extras upgrade path.

* Wed Nov 10 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3.2-0.fdr.2
- Fixed FC3 compilation.

* Sat Aug 28 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3.2-0.fdr.1
- Updated to 1.3.2.
- Switched to using GNOME frontend.
- Updated desktop file.
- Minor editing of description text.
- Converted spec file to UTF-8.

* Thu Nov 27 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3.0-0.fdr.4
- Added build req gtkglarea (bug 740).

* Thu Nov 27 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3.0-0.fdr.3
- Added Encoding=UTF-8 to desktop file (bug 740).
- Added work-around for linking problems on FC1 (bug 740).
- Updated {minor,numbered}moons.asc (bug 740).

* Wed Oct  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3.0-0.fdr.2
- Replaced source tarball with proper release tarball.
- Added BuildRequires gnome-libs-devel for gnomeConf.sh.
- Build with freeglut instead of glut.

* Wed Sep 17 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.3.0-0.fdr.1
- Initial Fedora RPM release.

* Thu Apr 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.3.0.
- Added numberedmoons.ssc addon.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Tue Jan 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.5.
- Included "Minor Moons of the Giant Planets" extra file.
- New icon from the KDE part of the source.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New style menu entry.

* Wed Jul  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt to remove the NVidia dependency (oops!).

* Wed May 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Sorry, I'm a maniac ;-)

* Tue May 14 2002 Julien MOUTTE <julien@moutte.net>
- Initial RPM release.

